com.google.gwt.aria.client

## Class RoleImpl

- java.lang.Object
- - com.google.gwt.aria.client.RoleImpl

- All Implemented Interfaces:
    Role
  Direct Known Subclasses:
    AlertdialogRoleImpl, AlertRoleImpl, ApplicationRoleImpl, ArticleRoleImpl, BannerRoleImpl, ButtonRoleImpl, CheckboxRoleImpl, ColumnheaderRoleImpl, ComboboxRoleImpl, ComplementaryRoleImpl, ContentinfoRoleImpl, DefinitionRoleImpl, DialogRoleImpl, DirectoryRoleImpl, DocumentRoleImpl, FormRoleImpl, GridcellRoleImpl, GridRoleImpl, GroupRoleImpl, HeadingRoleImpl, ImgRoleImpl, LinkRoleImpl, ListboxRoleImpl, ListitemRoleImpl, ListRoleImpl, LogRoleImpl, MainRoleImpl, MarqueeRoleImpl, MathRoleImpl, MenubarRoleImpl, MenuitemcheckboxRoleImpl, MenuitemradioRoleImpl, MenuitemRoleImpl, MenuRoleImpl, NavigationRoleImpl, NoteRoleImpl, OptionRoleImpl, PresentationRoleImpl, ProgressbarRoleImpl, RadiogroupRoleImpl, RadioRoleImpl, RegionRoleImpl, RowgroupRoleImpl, RowheaderRoleImpl, RowRoleImpl, ScrollbarRoleImpl, SearchRoleImpl, SeparatorRoleImpl, SliderRoleImpl, SpinbuttonRoleImpl, StatusRoleImpl, TablistRoleImpl, TabpanelRoleImpl, TabRoleImpl, TextboxRoleImpl, TimerRoleImpl, ToolbarRoleImpl, TooltipRoleImpl, TreegridRoleImpl, TreeitemRoleImpl, TreeRoleImpl

      class RoleImpl
      extends java.lang.Object
      implements Role

  The base class for implementing a Role. Includes basic operations for modifying the "role" attribute and methods that are common to all roles.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleImpl(java.lang.String roleName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAriaAtomicProperty(Element element)` Returns the value of the aria-atomic attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaBusyState(Element element)` Returns the value of the aria-busy attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaControlsProperty(Element element)` Returns the value of the aria-controls attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaDescribedbyProperty(Element element)` Returns the value of the aria-describedby attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaDisabledState(Element element)` Returns the value of the aria-disabled attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaDropeffectProperty(Element element)` Returns the value of the aria-dropeffect attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaFlowtoProperty(Element element)` Returns the value of the aria-flowto attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaGrabbedState(Element element)` Returns the value of the aria-grabbed attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaHaspopupProperty(Element element)` Returns the value of the aria-haspopup attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaHiddenState(Element element)` Returns the value of the aria-hidden attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaInvalidState(Element element)` Returns the value of the aria-invalid attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaLabelledbyProperty(Element element)` Returns the value of the aria-labelledby attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaLabelProperty(Element element)` Returns the value of the aria-label attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaLiveProperty(Element element)` Returns the value of the aria-live attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaOwnsProperty(Element element)` Returns the value of the aria-owns attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getAriaRelevantProperty(Element element)` Returns the value of the aria-relevant attribute for the `element` or "" if no such attribute is present.
    `java.lang.String` | `getName()` Gets the ARIA 'role' attribute name as defined in the WAI-ARIA standard.
    `java.lang.String` | `getTabindexExtraAttribute(Element element)` Returns the value of the tabIndex attribute for the `element` or "" if no such attribute is present.
    `void` | `remove(Element element)` Removes the 'role' attribute from the `element`.
    `void` | `removeAriaAtomicProperty(Element element)` Removes the aria-atomic attribute from the `element`.
    `void` | `removeAriaBusyState(Element element)` Removes the aria-busy attribute from the `element`.
    `void` | `removeAriaControlsProperty(Element element)` Removes the aria-controls attribute from the `element`.
    `void` | `removeAriaDescribedbyProperty(Element element)` Removes the aria-describedby attribute from the `element`.
    `void` | `removeAriaDisabledState(Element element)` Removes the aria-disabled attribute from the `element`.
    `void` | `removeAriaDropeffectProperty(Element element)` Removes the aria-dropeffect attribute from the `element`.
    `void` | `removeAriaFlowtoProperty(Element element)` Removes the aria-flowto attribute from the `element`.
    `void` | `removeAriaGrabbedState(Element element)` Removes the aria-grabbed attribute from the `element`.
    `void` | `removeAriaHaspopupProperty(Element element)` Removes the aria-haspopup attribute from the `element`.
    `void` | `removeAriaHiddenState(Element element)` Removes the aria-hidden attribute from the `element`.
    `void` | `removeAriaInvalidState(Element element)` Removes the aria-invalid attribute from the `element`.
    `void` | `removeAriaLabelledbyProperty(Element element)` Removes the aria-labelledby attribute from the `element`.
    `void` | `removeAriaLabelProperty(Element element)` Removes the aria-label attribute from the `element`.
    `void` | `removeAriaLiveProperty(Element element)` Removes the aria-live attribute from the `element`.
    `void` | `removeAriaOwnsProperty(Element element)` Removes the aria-owns attribute from the `element`.
    `void` | `removeAriaRelevantProperty(Element element)` Removes the aria-relevant attribute from the `element`.
    `void` | `removeTabindexExtraAttribute(Element element)` Removes the tabIndex attribute from the `element`.
    `void` | `set(Element element)` Sets the 'role' attribute of the given `element` to the appropriate value for this role.
    `void` | `setAriaAtomicProperty(Element element, boolean value)` Sets the aria-atomic attribute for the `element` to the given `value`.
    `void` | `setAriaBusyState(Element element, boolean value)` Sets the aria-busy attribute for the `element` to the given `value`.
    `void` | `setAriaControlsProperty(Element element, Id... value)` Sets the aria-controls attribute for the `element` to the given `value`.
    `void` | `setAriaDescribedbyProperty(Element element, Id... value)` Sets the aria-describedby attribute for the `element` to the given `value`.
    `void` | `setAriaDisabledState(Element element, boolean value)` Sets the aria-disabled attribute for the `element` to the given `value`.
    `void` | `setAriaDropeffectProperty(Element element, DropeffectValue... value)` Sets the aria-dropeffect attribute for the `element` to the given `value`.
    `void` | `setAriaFlowtoProperty(Element element, Id... value)` Sets the aria-flowto attribute for the `element` to the given `value`.
    `void` | `setAriaGrabbedState(Element element, GrabbedValue value)` Sets the aria-grabbed attribute for the `element` to the given `value`.
    `void` | `setAriaHaspopupProperty(Element element, boolean value)` Sets the aria-haspopup attribute for the `element` to the given `value`.
    `void` | `setAriaHiddenState(Element element, boolean value)` Sets the aria-hidden attribute for the `element` to the given `value`.
    `void` | `setAriaInvalidState(Element element, InvalidValue value)` Sets the aria-invalid attribute for the `element` to the given `value`.
    `void` | `setAriaLabelledbyProperty(Element element, Id... value)` Sets the aria-labelledby attribute for the `element` to the given `value`.
    `void` | `setAriaLabelProperty(Element element, java.lang.String value)` Sets the aria-label attribute for the `element` to the given `value`.
    `void` | `setAriaLiveProperty(Element element, LiveValue value)` Sets the aria-live attribute for the `element` to the given `value`.
    `void` | `setAriaOwnsProperty(Element element, Id... value)` Sets the aria-owns attribute for the `element` to the given `value`.
    `void` | `setAriaRelevantProperty(Element element, RelevantValue... value)` Sets the aria-relevant attribute for the `element` to the given `value`.
    `void` | `setTabindexExtraAttribute(Element element, int value)` Sets the tabIndex attribute for the `element` to the given `value`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoleImpl

          RoleImpl(java.lang.String roleName)

  - ### Method Detail

    - #### getAriaAtomicProperty

          public java.lang.String getAriaAtomicProperty(Element element)

      Description copied from interface: `Role`
      Returns the value of the aria-atomic attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaAtomicProperty` in interface `Role`

    - #### getAriaBusyState

          public java.lang.String getAriaBusyState(Element element)

      Description copied from interface: `Role`
      Returns the value of the aria-busy attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaBusyState` in interface `Role`

    - #### getAriaControlsProperty

          public java.lang.String getAriaControlsProperty(Element element)

      Description copied from interface: `Role`
      Returns the value of the aria-controls attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaControlsProperty` in interface `Role`

    - #### getAriaDescribedbyProperty

          public java.lang.String getAriaDescribedbyProperty(Element element)

      Description copied from interface: `Role`
      Returns the value of the aria-describedby attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaDescribedbyProperty` in interface `Role`

    - #### getAriaDisabledState

          public java.lang.String getAriaDisabledState(Element element)

      Description copied from interface: `Role`
      Returns the value of the aria-disabled attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaDisabledState` in interface `Role`

    - #### getAriaDropeffectProperty

          public java.lang.String getAriaDropeffectProperty(Element element)

      Description copied from interface: `Role`
      Returns the value of the aria-dropeffect attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaDropeffectProperty` in interface `Role`

    - #### getAriaFlowtoProperty

          public java.lang.String getAriaFlowtoProperty(Element element)

      Description copied from interface: `Role`
      Returns the value of the aria-flowto attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaFlowtoProperty` in interface `Role`

    - #### getAriaGrabbedState

          public java.lang.String getAriaGrabbedState(Element element)

      Description copied from interface: `Role`
      Returns the value of the aria-grabbed attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaGrabbedState` in interface `Role`

    - #### getAriaHaspopupProperty

          public java.lang.String getAriaHaspopupProperty(Element element)

      Description copied from interface: `Role`
      Returns the value of the aria-haspopup attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaHaspopupProperty` in interface `Role`

    - #### getAriaHiddenState

          public java.lang.String getAriaHiddenState(Element element)

      Description copied from interface: `Role`
      Returns the value of the aria-hidden attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaHiddenState` in interface `Role`

    - #### getAriaInvalidState

          public java.lang.String getAriaInvalidState(Element element)

      Description copied from interface: `Role`
      Returns the value of the aria-invalid attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaInvalidState` in interface `Role`

    - #### getAriaLabelledbyProperty

          public java.lang.String getAriaLabelledbyProperty(Element element)

      Description copied from interface: `Role`
      Returns the value of the aria-labelledby attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaLabelledbyProperty` in interface `Role`

    - #### getAriaLabelProperty

          public java.lang.String getAriaLabelProperty(Element element)

      Description copied from interface: `Role`
      Returns the value of the aria-label attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaLabelProperty` in interface `Role`

    - #### getAriaLiveProperty

          public java.lang.String getAriaLiveProperty(Element element)

      Description copied from interface: `Role`
      Returns the value of the aria-live attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaLiveProperty` in interface `Role`

    - #### getAriaOwnsProperty

          public java.lang.String getAriaOwnsProperty(Element element)

      Description copied from interface: `Role`
      Returns the value of the aria-owns attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaOwnsProperty` in interface `Role`

    - #### getAriaRelevantProperty

          public java.lang.String getAriaRelevantProperty(Element element)

      Description copied from interface: `Role`
      Returns the value of the aria-relevant attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getAriaRelevantProperty` in interface `Role`

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `Role`
      Gets the ARIA 'role' attribute name as defined in the WAI-ARIA standard.
      Specified by:
        `getName` in interface `Role`
      See Also:
        Roles documentation

    - #### getTabindexExtraAttribute

          public java.lang.String getTabindexExtraAttribute(Element element)

      Description copied from interface: `Role`
      Returns the value of the tabIndex attribute for the `element` or "" if no such attribute is present.
      Specified by:
        `getTabindexExtraAttribute` in interface `Role`

    - #### remove

          public void remove(Element element)

      Description copied from interface: `Role`
      Removes the 'role' attribute from the `element`.
      Specified by:
        `remove` in interface `Role`
      See Also:
        Roles documentation

    - #### removeAriaAtomicProperty

          public void removeAriaAtomicProperty(Element element)

      Description copied from interface: `Role`
      Removes the aria-atomic attribute from the `element`.
      Specified by:
        `removeAriaAtomicProperty` in interface `Role`

    - #### removeAriaBusyState

          public void removeAriaBusyState(Element element)

      Description copied from interface: `Role`
      Removes the aria-busy attribute from the `element`.
      Specified by:
        `removeAriaBusyState` in interface `Role`

    - #### removeAriaControlsProperty

          public void removeAriaControlsProperty(Element element)

      Description copied from interface: `Role`
      Removes the aria-controls attribute from the `element`.
      Specified by:
        `removeAriaControlsProperty` in interface `Role`

    - #### removeAriaDescribedbyProperty

          public void removeAriaDescribedbyProperty(Element element)

      Description copied from interface: `Role`
      Removes the aria-describedby attribute from the `element`.
      Specified by:
        `removeAriaDescribedbyProperty` in interface `Role`

    - #### removeAriaDisabledState

          public void removeAriaDisabledState(Element element)

      Description copied from interface: `Role`
      Removes the aria-disabled attribute from the `element`.
      Specified by:
        `removeAriaDisabledState` in interface `Role`

    - #### removeAriaDropeffectProperty

          public void removeAriaDropeffectProperty(Element element)

      Description copied from interface: `Role`
      Removes the aria-dropeffect attribute from the `element`.
      Specified by:
        `removeAriaDropeffectProperty` in interface `Role`

    - #### removeAriaFlowtoProperty

          public void removeAriaFlowtoProperty(Element element)

      Description copied from interface: `Role`
      Removes the aria-flowto attribute from the `element`.
      Specified by:
        `removeAriaFlowtoProperty` in interface `Role`

    - #### removeAriaGrabbedState

          public void removeAriaGrabbedState(Element element)

      Description copied from interface: `Role`
      Removes the aria-grabbed attribute from the `element`.
      Specified by:
        `removeAriaGrabbedState` in interface `Role`

    - #### removeAriaHaspopupProperty

          public void removeAriaHaspopupProperty(Element element)

      Description copied from interface: `Role`
      Removes the aria-haspopup attribute from the `element`.
      Specified by:
        `removeAriaHaspopupProperty` in interface `Role`

    - #### removeAriaHiddenState

          public void removeAriaHiddenState(Element element)

      Description copied from interface: `Role`
      Removes the aria-hidden attribute from the `element`.
      Specified by:
        `removeAriaHiddenState` in interface `Role`

    - #### removeAriaInvalidState

          public void removeAriaInvalidState(Element element)

      Description copied from interface: `Role`
      Removes the aria-invalid attribute from the `element`.
      Specified by:
        `removeAriaInvalidState` in interface `Role`

    - #### removeAriaLabelledbyProperty

          public void removeAriaLabelledbyProperty(Element element)

      Description copied from interface: `Role`
      Removes the aria-labelledby attribute from the `element`.
      Specified by:
        `removeAriaLabelledbyProperty` in interface `Role`

    - #### removeAriaLabelProperty

          public void removeAriaLabelProperty(Element element)

      Description copied from interface: `Role`
      Removes the aria-label attribute from the `element`.
      Specified by:
        `removeAriaLabelProperty` in interface `Role`

    - #### removeAriaLiveProperty

          public void removeAriaLiveProperty(Element element)

      Description copied from interface: `Role`
      Removes the aria-live attribute from the `element`.
      Specified by:
        `removeAriaLiveProperty` in interface `Role`

    - #### removeAriaOwnsProperty

          public void removeAriaOwnsProperty(Element element)

      Description copied from interface: `Role`
      Removes the aria-owns attribute from the `element`.
      Specified by:
        `removeAriaOwnsProperty` in interface `Role`

    - #### removeAriaRelevantProperty

          public void removeAriaRelevantProperty(Element element)

      Description copied from interface: `Role`
      Removes the aria-relevant attribute from the `element`.
      Specified by:
        `removeAriaRelevantProperty` in interface `Role`

    - #### removeTabindexExtraAttribute

          public void removeTabindexExtraAttribute(Element element)

      Description copied from interface: `Role`
      Removes the tabIndex attribute from the `element`.
      Specified by:
        `removeTabindexExtraAttribute` in interface `Role`

    - #### set

          public void set(Element element)

      Description copied from interface: `Role`
      Sets the 'role' attribute of the given `element` to the appropriate value for this role.
      Specified by:
        `set` in interface `Role`
      See Also:
        Roles documentation

    - #### setAriaAtomicProperty

          public void setAriaAtomicProperty(Element element,
                                            boolean value)

      Description copied from interface: `Role`
      Sets the aria-atomic attribute for the `element` to the given `value`.
      Specified by:
        `setAriaAtomicProperty` in interface `Role`

    - #### setAriaBusyState

          public void setAriaBusyState(Element element,
                                       boolean value)

      Description copied from interface: `Role`
      Sets the aria-busy attribute for the `element` to the given `value`.
      Specified by:
        `setAriaBusyState` in interface `Role`

    - #### setAriaControlsProperty

          public void setAriaControlsProperty(Element element,
                                              Id... value)

      Description copied from interface: `Role`
      Sets the aria-controls attribute for the `element` to the given `value`.
      Specified by:
        `setAriaControlsProperty` in interface `Role`

    - #### setAriaDescribedbyProperty

          public void setAriaDescribedbyProperty(Element element,
                                                 Id... value)

      Description copied from interface: `Role`
      Sets the aria-describedby attribute for the `element` to the given `value`.
      Specified by:
        `setAriaDescribedbyProperty` in interface `Role`

    - #### setAriaDisabledState

          public void setAriaDisabledState(Element element,
                                           boolean value)

      Description copied from interface: `Role`
      Sets the aria-disabled attribute for the `element` to the given `value`.
      Specified by:
        `setAriaDisabledState` in interface `Role`

    - #### setAriaDropeffectProperty

          public void setAriaDropeffectProperty(Element element,
                                                DropeffectValue... value)

      Description copied from interface: `Role`
      Sets the aria-dropeffect attribute for the `element` to the given `value`.
      Specified by:
        `setAriaDropeffectProperty` in interface `Role`

    - #### setAriaFlowtoProperty

          public void setAriaFlowtoProperty(Element element,
                                            Id... value)

      Description copied from interface: `Role`
      Sets the aria-flowto attribute for the `element` to the given `value`.
      Specified by:
        `setAriaFlowtoProperty` in interface `Role`

    - #### setAriaGrabbedState

          public void setAriaGrabbedState(Element element,
                                          GrabbedValue value)

      Description copied from interface: `Role`
      Sets the aria-grabbed attribute for the `element` to the given `value`.
      Specified by:
        `setAriaGrabbedState` in interface `Role`

    - #### setAriaHaspopupProperty

          public void setAriaHaspopupProperty(Element element,
                                              boolean value)

      Description copied from interface: `Role`
      Sets the aria-haspopup attribute for the `element` to the given `value`.
      Specified by:
        `setAriaHaspopupProperty` in interface `Role`

    - #### setAriaHiddenState

          public void setAriaHiddenState(Element element,
                                         boolean value)

      Description copied from interface: `Role`
      Sets the aria-hidden attribute for the `element` to the given `value`.
      Specified by:
        `setAriaHiddenState` in interface `Role`

    - #### setAriaInvalidState

          public void setAriaInvalidState(Element element,
                                          InvalidValue value)

      Description copied from interface: `Role`
      Sets the aria-invalid attribute for the `element` to the given `value`.
      Specified by:
        `setAriaInvalidState` in interface `Role`

    - #### setAriaLabelledbyProperty

          public void setAriaLabelledbyProperty(Element element,
                                                Id... value)

      Description copied from interface: `Role`
      Sets the aria-labelledby attribute for the `element` to the given `value`.
      Specified by:
        `setAriaLabelledbyProperty` in interface `Role`

    - #### setAriaLabelProperty

          public void setAriaLabelProperty(Element element,
                                           java.lang.String value)

      Description copied from interface: `Role`
      Sets the aria-label attribute for the `element` to the given `value`.
      Specified by:
        `setAriaLabelProperty` in interface `Role`

    - #### setAriaLiveProperty

          public void setAriaLiveProperty(Element element,
                                          LiveValue value)

      Description copied from interface: `Role`
      Sets the aria-live attribute for the `element` to the given `value`.
      Specified by:
        `setAriaLiveProperty` in interface `Role`

    - #### setAriaOwnsProperty

          public void setAriaOwnsProperty(Element element,
                                          Id... value)

      Description copied from interface: `Role`
      Sets the aria-owns attribute for the `element` to the given `value`.
      Specified by:
        `setAriaOwnsProperty` in interface `Role`

    - #### setAriaRelevantProperty

          public void setAriaRelevantProperty(Element element,
                                              RelevantValue... value)

      Description copied from interface: `Role`
      Sets the aria-relevant attribute for the `element` to the given `value`.
      Specified by:
        `setAriaRelevantProperty` in interface `Role`

    - #### setTabindexExtraAttribute

          public void setTabindexExtraAttribute(Element element,
                                                int value)

      Description copied from interface: `Role`
      Sets the tabIndex attribute for the `element` to the given `value`.
      Specified by:
        `setTabindexExtraAttribute` in interface `Role`